# Class LineNumberAttributes

#### Hierarchy

- XmlAttributeComponent<ILineNumberAttributes>
  - LineNumberAttributes

- Defined in src/file/document/body/section-properties/properties/line-number.ts:32

#####
Index

### Constructors

constructor

### Methods

prepForXml

## Constructors

### constructor

- new LineNumberAttributes(properties: ILineNumberAttributes): LineNumberAttributes

- #### Parameters

  - ##### properties: ILineNumberAttributes

  #### Returns LineNumberAttributes

  Inherited from XmlAttributeComponent.constructor

  - Defined in src/file/xml-components/default-attributes.ts:11

## Methods

### prepForXml

- prepForXml(_: IContext): IXmlableObject

- #### Parameters

  - ##### _: IContext

  #### Returns IXmlableObject

  Inherited from XmlAttributeComponent.prepForXml

  - Defined in src/file/xml-components/default-attributes.ts:16

Generated using TypeDoc